Problems with Growl, suddenly

The Growl forums have moved to Google Groups, this forum is read only.
fuzzyscorpio
Harmless
Posts: 5
Joined: Sat Sep 29, 2007 2:56 pm

Problems with Growl, suddenly

Postby fuzzyscorpio » Sat Aug 22, 2009 10:27 pm

Hi. I've been using Growl for several years with Adium, Auction Hunter and other apps. My computer is a PPC Mac (PowerMac G5) running Leopard, OS 10.5.5. (Anticipating the question: It didn't seem to like 10.5.6 much, so I went backward; now nervously contemplating 10.5.8.)

I loved Growl and had no problems with it until a few weeks ago. Can't provide a lot of details I'm afraid, having the lethal combination of laziness and bad memory.

But I'm pretty sure the trouble started when Adium asked me to allow it to auto-update Growl. (I know, I know, never auto-update ANYTHING. See above re: laziness.) One thing I know for sure—I got greedy and decided to let Growl play with Mail, and that was a disaster. But ultimately I had to completely remove Growl from my system; it wasn't just Mail that was malfunctioning. I was also getting TONS of broken permissions (though that may have had nothing to do with Growl). I ended up running Disk Warrior, which I've never had to do on this machine before. After doing that, and coincidentally upgrading my RAM from 1 GB to 5 GB, my Mac is back to its usual purring self (faster of course with the RAM boost).

I just looked at a Growl version history page, and it didn't seem to have dates for the versions. I'm not sure what to do... I miss Growl! But I don't want to upset my computer, which is, after all, teetering on the edge of serious (pre-Intel) obsolescence as it is. Anyone have any info to guide me in deciding whether to attempt installing Growl again?
fuzzyscorpio • proud owner of G5 PowerMac (OS 10.5.5), assorted older Macs, G4 Mini @ work
surviving nearly 20 years of Mac addiction :)

User avatar
boredzo
Cocoaforge Admin
Posts: 796
Joined: Mon Dec 06, 2004 7:49 am
Contact:

Re: Problems with Growl, suddenly

Postby boredzo » Sun Aug 23, 2009 1:45 am

Growl 1.1.6 works just fine for us. If you have a specific problem with it, let us know.

fuzzyscorpio
Harmless
Posts: 5
Joined: Sat Sep 29, 2007 2:56 pm

Re: Problems with Growl, suddenly

Postby fuzzyscorpio » Sun Aug 23, 2009 2:13 am

I am 100% positive GrowlMail caused me problems. I'm 99% certain the Adium auto-update of whatever it needs for Growl notifications also corrupted or disrupted or destabilized something that was performance-critical.

What I'm looking for here is some indication whether my PowerPC (non-Intel) Mac is falling too far behind the Growl curve and needs to remain with an older version, or whether maybe the new version exhibited some bug with PPC Macs that has been fixed or has a workaround.

Can you tell me when 1.1.6 was released? That at least will tell me whether it is the same version Adium asked to auto-install a few weeks ago, or whether there has been another release since. As previously noted there are no dates on the version history page.

Thanks.
fuzzyscorpio • proud owner of G5 PowerMac (OS 10.5.5), assorted older Macs, G4 Mini @ work
surviving nearly 20 years of Mac addiction :)

User avatar
boredzo
Cocoaforge Admin
Posts: 796
Joined: Mon Dec 06, 2004 7:49 am
Contact:

Re: Problems with Growl, suddenly

Postby boredzo » Sun Aug 23, 2009 2:32 am

fuzzyscorpio wrote:What I'm looking for here is some indication whether my PowerPC (non-Intel) Mac is falling too far behind the Growl curve and needs to remain with an older version, or whether maybe the new version exhibited some bug with PPC Macs that has been fixed or has a workaround.


There are no known bugs in Growl that are specific to old hardware, including PowerPC processors. Growl requires Mac OS X 10.4 or later—as long as you satisfy that and aren't running a hackintosh, you should be fine.

And, again, if you can come up with a specific bug report, we'd love to hear about it so we can fix it.

Can you tell me when 1.1.6 was released?


That doesn't matter; see my next paragraph.

That at least will tell me whether it is the same version Adium asked to auto-install a few weeks ago, or whether there has been another release since.


There have been two releases since Adium's Growl framework was last updated, which was with Growl 1.1.4. Side note: I should really update that!

As previously noted there are no dates on the version history page.


Correct.

fuzzyscorpio
Harmless
Posts: 5
Joined: Sat Sep 29, 2007 2:56 pm

Re: Problems with Growl, suddenly

Postby fuzzyscorpio » Sun Aug 23, 2009 2:41 am

OK, thanks, I guess I'll get 1.1.6 and try again (minus the Mail part, which isn't really essential, and I shouldn't burden that app with any other tricks until I get around to deleting some of my you-don't-want-to-know-how-many messages).

If I notice any problems, I'll keep scrupulous notes this time. :)
fuzzyscorpio • proud owner of G5 PowerMac (OS 10.5.5), assorted older Macs, G4 Mini @ work
surviving nearly 20 years of Mac addiction :)

User avatar
boredzo
Cocoaforge Admin
Posts: 796
Joined: Mon Dec 06, 2004 7:49 am
Contact:

Re: Problems with Growl, suddenly

Postby boredzo » Sun Aug 23, 2009 2:47 am

fuzzyscorpio wrote:OK, thanks, I guess I'll get 1.1.6 and try again (minus the Mail part, which isn't really essential, and I shouldn't burden that app with any other tricks until I get around to deleting some of my you-don't-want-to-know-how-many messages).


GrowlMail underwent serious fixage in 1.1.5, as you can see on the version history. Once you have Growl in a working state, you can try installing GrowlMail again, this time from the 1.1.6 disk image.

emfarrell
Harmless
Posts: 2
Joined: Fri Dec 28, 2007 11:31 pm

Re: Problems with Growl, suddenly

Postby emfarrell » Sun Aug 23, 2009 4:33 pm

I have been having problems with Mail 3.6 as well, since the OS 10.5.8 update. The app crashes when downloading mail, and the error message says that this may be due to Growl Mail plug-in. I deleted the plug in (plus a bunch of other Mail-Growl-related stuff), stopped Growl completely, problem still persists. I have just posted the most recent crash log on the Apple forum. I currently have Growl 1.1.4 so might try updating, but will wait and see if I get a reply from Apple first. I have not noticed any other problems, just with Mail.

User avatar
boredzo
Cocoaforge Admin
Posts: 796
Joined: Mon Dec 06, 2004 7:49 am
Contact:

Re: Problems with Growl, suddenly

Postby boredzo » Sun Aug 23, 2009 6:37 pm

emfarrell wrote:I currently have Growl 1.1.4 so might try updating…


GrowlMail 1.1.5 contains several crash fixes. You certainly should update, and make sure you also update GrowlMail.

And if it still crashes with GrowlMail 1.1.6, please post those crash logs here. (You will need to zip them up first.)


Return to “Growl”

Who is online

Users browsing this forum: No registered users